com.lowagie.text.pdf

## Class BaseFont.StreamFont

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfStream
      - - com.lowagie.text.pdf.BaseFont.StreamFont

Enclosing class:
  BaseFont

    static class BaseFont.StreamFont
    extends PdfStream

Generates the PDF stream with the Type1 and Truetype fonts returning a PdfStream.

### Field Summary

### Fields inherited from class com.lowagie.text.pdf.PdfStream

`BEST_COMPRESSION, BEST_SPEED, compressed, compressionLevel, DEFAULT_COMPRESSION, ENDSTREAM, inputStream, inputStreamLength, NO_COMPRESSION, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`BaseFont.StreamFont(byte[] contents, int[] lengths, int compressionLevel)` Generates the PDF stream with the Type1 and Truetype fonts returning a PdfStream.
`BaseFont.StreamFont(byte[] contents, java.lang.String subType, int compressionLevel)` Generates the PDF stream for a font.

### Method Summary

### Methods inherited from class com.lowagie.text.pdf.PdfStream

`flateCompress, flateCompress, getRawLength, superToPdf, toPdf, toString, writeContent, writeLength`

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseFont.StreamFont

    public BaseFont.StreamFont(byte[] contents,
                       int[] lengths,
                       int compressionLevel)
                        throws DocumentException

Generates the PDF stream with the Type1 and Truetype fonts returning a PdfStream.

Parameters:
  `contents` - the content of the stream
  `lengths` - an array of int that describes the several lengths of each part of the font
  `compressionLevel` - the compression level of the Stream
Throws:
  `DocumentException` - error in the stream compression
Since:
  2.1.3 (replaces the constructor without param compressionLevel)

#### BaseFont.StreamFont

    public BaseFont.StreamFont(byte[] contents,
                       java.lang.String subType,
                       int compressionLevel)
                        throws DocumentException

Generates the PDF stream for a font.

Parameters:
  `contents` - the content of a stream
  `subType` - the subtype of the font.
  `compressionLevel` - the compression level of the Stream
Throws:
  `DocumentException` - error in the stream compression
Since:
  2.1.3 (replaces the constructor without param compressionLevel)